Skip to navigation

Delete Connection

Remove any previously set basic connection credentials for the specified provider. If the specified provider is the active tax provider on the store, the store’s active tax provider will be reset to BigCommerce Manual Tax. It is suggested to call this endpoint during a single-click app uninstall callback.

Note

  • This operation will be logged in Store Logs under Staff Actions.
  • Requires write permissions on the Information and Settings scope.

Authentication

X-Auth-Tokenstring

OAuth scopes

UI NamePermissionParameter
Information & Settingsmodifystore_v2_information
Information & Settingsread-onlystore_v2_information_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

Path parameters

provider_idstringRequired

The Tax Providerʼs provider_id provided by BigCommerce after the provider shares their provider details.

store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json

The MIME type of the response body.

Response

OK
dataobjectOptional

Errors

404
Not Found Error